#TODO: this is really ugly, can cause memory leaks and much more bad stuff. We need a new broadcaster....
require 'simply_stored/couch'
module ModelBroadcast
  def broadcast_supplier(*args)
    ApplicationController.new.send(:broadcast_supplier, *args)
  end
  def broadcast_user(*args)
    ApplicationController.new.send(:broadcast_user, *args)
  end
end
SimplyStored::Couch.send(:include, ModelBroadcast)
#SimplyStored::Couch.send(:extend, ModelBroadcast) # this should never happen!!! 
